package com.gic.haoban.manage.service.service.notify.impl;

import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.manage.service.dao.mapper.NoticeMessageMapper;
import com.gic.haoban.manage.service.entity.TabNoticeMessage;
import com.gic.haoban.manage.service.pojo.bo.NoticeMessageBO;
import com.gic.haoban.manage.service.pojo.bo.PendingTaskBO;
import com.gic.haoban.manage.service.service.notify.NoticeMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * Created 2021/12/17.
 *
 * @author hua
 */
@Service
public class NoticeMessageServiceImpl implements NoticeMessageService {

    @Autowired
    private NoticeMessageMapper noticeMessageMapper;

    @Override
    public boolean addOrCreateNoticeMessage(NoticeMessageBO messageBO) {
        TabNoticeMessage tabNoticeMessage = EntityUtil.changeEntityByOrika(TabNoticeMessage.class, messageBO);
        tabNoticeMessage.setUpdateTime(new Date());
        if (tabNoticeMessage.getNoticeMessageId() == null) {
            tabNoticeMessage.setCreateTime(new Date());
            tabNoticeMessage.setNoticeMessageId(UniqueIdUtils.uniqueLong());
            noticeMessageMapper.insertSelective(tabNoticeMessage);
            return true;
        }
        noticeMessageMapper.updateByPrimaryKeySelective(tabNoticeMessage);
        return true;
    }
}
