package com.gic.haoban.manage.service.service.notify.out;

import com.alibaba.fastjson.JSONObject;
import com.gic.clerk.api.dto.ClerkDTO;
import com.gic.clerk.api.service.ClerkService;
import com.gic.haoban.manage.api.dto.notify.qdto.NoticeMessageQDTO;
import com.gic.haoban.manage.api.enums.NoticeMessageTypeEnum;
import com.gic.haoban.manage.api.service.notify.NoticeMessageApiService;
import com.gic.haoban.manage.service.pojo.bo.NoticeMessageBO;
import org.slf4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static org.slf4j.LoggerFactory.getLogger;

/**
 * Created 2021/12/17.
 *
 * @author hua
 */
@Service
public class NoticeMessageApiServiceImpl implements NoticeMessageApiService {

    private static final Logger logger = getLogger(NoticeMessageApiServiceImpl.class);

    @Autowired
    private ClerkService clerkService;

    @Override
    public void noticeMessageMq(String json) {
        logger.info("通知消息：{}", json);
        NoticeMessageQDTO messageQDTO = JSONObject.parseObject(json, NoticeMessageQDTO.class);
        ClerkDTO clerkDTO = clerkService.getClerkByClerkId(messageQDTO.getClerkId());
        NoticeMessageBO noticeMessageBO = new NoticeMessageBO();
        noticeMessageBO.setCategoryType(NoticeMessageTypeEnum.getByType(messageQDTO.getMessageType()).getType());
        noticeMessageBO.setMessageType(messageQDTO.getMessageType());
        noticeMessageBO.setClerkId(messageQDTO.getClerkId());

    }
}
